<?php
/**
 * @file
 * commerce_commission.module
 */

/**
 * Implements hook_views_data().
 */
function commerce_commission_views_data() {
  $data = array();

  $data['commerce_commission']['table']['group'] = t('Commerce commission');

  $data['commerce_commission']['table']['base'] = array(
    'field' => 'cid',
    'title' => t('Commerce Commission'),
  );

  $data['commerce_commission']['cid'] = array(
    'title' => t('cid'),
    'help' => t('Commission ID'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );

  $data['commerce_commission']['uid'] = array(
    'title' => t('User'),
    'help' => t('Id of user getting commission'),
    'field' => array(
      'handler' => 'views_handler_field_user',
      'click sortable' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_user_uid',
      'name field' => 'name',
    ),
    'filter' => array(
      'title' => t('Name'),
      'handler' => 'views_handler_filter_user_name',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'relationship' => array(
      'base' => 'users',
      'base field' => 'uid',
      'handler' => 'views_handler_relationship',
      'label' => t('Commission user'),
      'title' => t('Commission user'),
    ),
  );

  $data['commerce_commission']['product_id'] = array(
    'title' => t('Product'),
    'help' => t('Id of product node sold'),
    'field' => array(
      'handler' => 'commerce_product_handler_field_product',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'commerce_product_handler_argument_product_id',
    ),
    'relationship' => array(
      'base' => 'commerce_product',
      'base field' => 'product_id',
      'handler' => 'views_handler_relationship',
      'label' => t('Product'),
      'title' => t('Product'),
    ),
  );

  $data['commerce_commission']['node_id'] = array(
    'title' => t('Node'),
    'help' => t('Product display for the product'),
    'field' => array(
      'handler' => 'views_handler_field_node',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_node_nid',
    ),
    'relationship' => array(
      'base' => 'node',
      'base field' => 'nid',
      'handler' => 'views_handler_relationship',
      'label' => t('Product node'),
      'title' => t('Product node'),
    ),
  );

  $data['commerce_commission']['order_id'] = array(
    'title' => t('Order'),
    'help' => t('Id of product node sold'),
    'field' => array(
      'handler' => 'commerce_order_handler_field_order',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'commerce_order_handler_argument_order_order_id',
      'name field' => 'order_number',
      'numeric' => TRUE,
      'validate type' => 'order_id',
    ),
    'relationship' => array(
      'base' => 'commerce_order',
      'base field' => 'order_id',
      'handler' => 'views_handler_relationship',
      'label' => t('Order', array(), array('context' => 'a drupal commerce order')),
    ),
  );

  $data['commerce_commission']['quantity'] = array(
    'title' => t('Quantity'),
    'help' => t('Quantity of products purchased.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  $data['commerce_commission']['commission_amount'] = array(
    'title' => t('Commission amount'),
    'help' => t('Commission amount'),
    'field' => array(
      'handler' => 'commerce_payment_handler_field_amount',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['commerce_payment_transaction']['currency_code'] = array(
    'title' => t('Currency'),
    'help' => t('The currency of the transaction.'),
    'field' => array(
      'handler' => 'commerce_payment_handler_field_currency_code',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'commerce_payment_handler_filter_currency_code',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_commission']['created'] = array(
    'title' => t('Date'),
    'help' => t('Time at which the commission was given'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );


  return $data;
}
